Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 9701)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 9702)
@@ -22,275 +22,13 @@
 // +-----------------------------------------------------------------------+
 
-if (!defined('PHPWG_ROOT_PATH'))
-{
-  die('Hacking attempt!');
-}
-
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
-    define ("check_mailto", 0);
-	define ("check_header_carbon",1);
-	define ("check_header_text",2);
-    define ("no_mail_list", 3);
-	define ("no_connect",4);	// empeche l'ip de se connecter au site.
-	define ("set_auto",5);		// Test a l'ouverture et enregistrement 
-    define ("ip",6);  			// dernirre adresse IP
-	define ("set_id",7);		// enregistrment nouvel 
-  
-  
- if (!isset($_COOKIE[session_name()]))
-{
-
-
-
-}
-include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-include_once(PHPWG_ROOT_PATH.'include/functions.inc.php');
-include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
+// if (!isset($_COOKIE[session_name()])){}
+
 global $lang ;
-
-include_once (MAIL_SUPERV_PATH.'include/function_test_send.php'); 
-    load_language('plugin.lang', MAIL_SUPERV_PATH);
-global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
-	  
-//==========================================================
-function sauve_options()
-{
-global $mails_options ;
- if ( isset($mails_options) )
- 	{
-	 
-	 while ( count($mails_options) < 10 ) 
-	   {
-	  
-	      $mails_options[]='?';
-	   }
-	   
-		$valeurs = implode( ',',$mails_options);
- 
-		
-		$query = '
-    		UPDATE '.CONFIG_TABLE.'
-    		SET value="'. $valeurs . '"
-    		WHERE param = "mail_superv"
-    		LIMIT 1';
- 			pwg_query($query);
-	  
-	}
-}
-//=================================================================================
-function sauve_donnees()
-{
-
-global $mails_donnees,$superv_champs,$superv_type,$erreur_message ;
-//=====================================================================	
- 	$clefs = $superv_champs ;
- 	$valeurs = array();
-
-foreach ( $clefs as $champ)
-   {
-     $champ = trim($champ);
-     
-	 if ( isset($mails_donnees[  $champ ]) ) {
-	   $sep= (is_string($mails_donnees[ $champ ])) ? '"' : '' ;
-       array_push($valeurs , "`".$champ."`" . ' = ' . $sep . $mails_donnees[  $champ ] . $sep)  ;
-	 }else{
-	 
-	    array_push($valeurs , "`".$champ."`" . ' = ' .  "0"  )  ;
-	 }
-	 
-    }
-$valeurs = implode(", ",$valeurs) ;
-//=====================================================================
-$query = '
-        UPDATE '.MAIL_SUPERV_TABLE.'
-        SET '. $valeurs .'
-		WHERE `id` = 1 LIMIT 1 ';
-		;
-	ob_start();
-		$ret=  pwg_query($query)    ;
-	  	$m= ob_get_contents();
-	ob_end_clean() ;
-	$erreur_message .= $m ;
-
-}
-	 
-//=================================================================================
-function affiche_message()
-{
- global $template,$infos_message,$erreur_message, $user ,$ip;
-
-global $mails_options,$conf,$lang ;
-
-$mails_options = explode("," , $conf['mail_superv']);
-		if (!isset($ip)) {
-		       if (getenv("HTTP_CLIENT_IP"))
-					    {    $ip=getenv("HTTP_CLIENT_IP"); 	}
-					else{   $ip=getenv("REMOTE_ADDR"); 	}
-			   }
-//  unset ($_SESSION['pwg_'.'action_spam']);
-     $action_spam = pwg_get_session_var('action_spam') ;
-    if  ($action_spam == null) { $action_spam = kill_list();  }
-	
-	if (is_bool($action_spam)) $action_spam =($action_spam == true) ? "true" : "false" ;
-	  if ($action_spam == "true" )
-		 {  
-		  $erreur_message = $ip . " "  . $action_spam  ;
-		  pwg_set_session_var('action_spam', "true"); 
-		  $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
-		 if ($mails_options[no_connect] == 'on' ){
-			//[status] => guest
-			//[status] => normal
-			//[status] => webmaster
-			if ($user['status'] != 'webmaster'  )
-				if (!isset($_GET['admin'])) {
-	  					 die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
-	  			}elseif   ($_GET['admin'] != 'piwigo')
-	  				{
-	  					 die('blacklist Hacking attempt!');
-	  				}
-				unset ($_SESSION['pwg_'.'action_spam']);
-	   }
-	     }else{
-		   pwg_set_session_var('action_spam', "false"); 
-		 }
-	
- 
-// }	  
-
- //==============================================================
-  if (isset($erreur_message))
-		{	
- 
-		if ($erreur_message <> "")
-			{
-			    $erreur_message = str_replace("\n",'<br />',$erreur_message) ;
-   				$template->assign('errors',$erreur_message);
-				$erreur_message = "";
-			}
-  		}
-		
-	
-  if (isset($infos_message))
-		{	
-		
-		if ($infos_message <> "")
-			{
-				$infos_message = str_replace("\n",'<br />',$infos_message) ;
-   				$template->assign('infos',$infos_message);
-				$infos_message = "";
-			}
-  		}
-		//=============================================================
-	
-	
-return;		 
-		
-}
-
-function Get_geo()
-{
-global $ip,$pays,$region,$ville, $latitude ,$longitude,$mails_options;
-	 //===================================================================================
-	$info_geo = pwg_get_session_var('info_geo');
-	print_r($info_geo );
- 	if (count($info_geo) > 0)  
-	{
-		
-	 	$pays  = $info_geo[0];
-	 	$region  = $info_geo[1];
-	 	$ville  = $info_geo[2];
-	 	$latitude = $info_geo[3];
-	 	$longitude = $info_geo[4];
-		$ip = $info_geo[5];
-		return true;
-	}
-//=======================================================================
-
- if (isset($_POST['pays'])) { 
-			$pays = isset($_POST['pays']) ? $_POST['pays'] : "";
- 			$region =  isset($_POST['region']) ? $_POST['region'] :"";				
- 			$ville = (isset($_POST['ville']))   ? $_POST['ville']: ""; 
-			$latitude =  isset($_POST['latitude']) ? $_POST['latitude'] : "";	
-			$longitude =  isset($_POST['longitude']) ? $_POST['longitude'] : "";
-				
- 			$info_geo = array(   $pays ,$region , $ville ,$latitude, $longitude,$_SERVER['REMOTE_ADDR']  );
-  			pwg_set_session_var('info_geo', $info_geo); 
-			return true;
- 
- }else{
-
- 	    $result="";
-?>
-<script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" >
-</script>	  
-<script language="JavaScript" type="text/javascript">
-            var pays     =  geoip_country_name();
-	  		var ville     =  geoip_city();
-	  		var region    =  geoip_region_name() ;
-		  	var latitude  =  geoip_latitude() ;
-	  		var longitude =  geoip_longitude() ; 
-			
-</script>
-<form action="" method="post" name="form_connexion" id="form_connexion" style="visibility:hidden">
-<script language="JavaScript" type="text/javascript">			
-		document.write ("<input name=\"pays\"  type=\"text\" value =  "+ pays + "  id = \"pays\"  > ");
-		document.write ("<input name=\"ville\"  type=\"text\" value = "+ ville + "  id = \"ville\"   >  ");
-		document.write ("<input name=\"region\"  type=\"text\" value =  "+ region + "   id = \"region\"   > ");
-		document.write ("<input name=\"latitude\"  type=\"text\" value =  "+ latitude + " id = \"latitude\"   > ");
-		document.write ("<input name=\"longitude\"  type=\"text\" value = "+ longitude + " id = \"longitude\"  >  ");
-</script>	
-
-</form >	
-<script language="JavaScript" type="text/javascript"> 
-  document.getElementById("form_connexion").submit();
-</script>
-<?php	
-    
- }
-//=====================================================================================		
-}
-
-//=================================================================================
-function Get_Datas()
-{
-global $superv_champs ;
-$champs = implode(",",$superv_champs );
-    $query = "SELECT ".$champs." 
-    FROM ".MAIL_SUPERV_TABLE."
-  	;";
-			 $result = @pwg_query($query);
- 
-	if (!$result) {
-					verif_base();
-	 				$result = @pwg_query($query);
-					}
-
-					
-    $data = mysql_fetch_array($result,MYSQL_ASSOC);
-	//====================================================================================
-
-	$next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] ); 
- $next_day = ($next_day >0) ? $next_day :  (604800  + time()) ; 
-	$data['rest_mail'] =    $next_day - time() ;
-
-	$next_day = Str_To_Time( $data['nb_spams_periode'],$data['date_spam']);
-	$next_day = ($next_day >0) ? $next_day :  (172800  + time()) ;
-	$data['rest_spam'] =  $next_day - time() ;
-
-
-	$next_day = Str_To_Time($data['quarantaine_periode'] ,$data['date_quarantaine']);	
-	$next_day = ($next_day >0) ? $next_day :  (172800 + time()) ;
-	
-	if ($data['quarantaine'] == 'true' ) {
-			$data['reste'] =   ( $next_day )-time() ;
-	}else{
-			$data['reste'] = 0;
-	}
-	
-	 return $data;
-}
+global $template ;
 //===============================================
-
 function corrige_header($Carbonne,$headers,$args,$cl_list_mail)
 	{
@@ -301,5 +39,5 @@
  	 	if ( count($args[$Carbonne]) > 0 ) 
 		{
-		        if ($mails_options[check_header_carbon] == 'on') {
+		        if ($mails_options['check_header_carbon'] == 'on') {
 				        $cl_list_mail  =  str_replace(","," , ",get_strict_email_list(implode(',', $args[$Carbonne])))." \n"  ;
 				        $headers = preg_replace('/.*'.$Carbonne.'(.*).\n/i', $Carbonne.': '.$cl_list_mail, $headers);
@@ -361,59 +99,38 @@
 $retour=str_replace("+0","+",$retour);
 //================================================================================================   
-
-
 return $retour;
-
-}	
-
-function memo_var($variables)
-{
-   		ob_start();
-		echo '<pre>';
-		print_r($variables);
-		echo '</pre>';
- 	  	$m= ob_get_contents();
-
-    	ob_end_clean();
-		return $m;
-		
-}
-    
+}	  
 
 	
-function verif_base()
-{
-
-global $lang,$superv_champs,$superv_type,$superv_bl_champs,$superv_bl_type;
-    load_language('plugin.lang', MAIL_SUPERV_PATH);
-//==============================================================================		
-    create_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type) ;
-  	ajust_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type)  ; 
-//==============================================================================		
-	create_table(MAIL_SUPERV_TABLE,$superv_champs,$superv_type) ;
-  	ajust_table(MAIL_SUPERV_TABLE,$superv_champs,$superv_type)  ;
-//==============================================================================		
+function verif_base(){
+  global $lang,$superv_champs,$superv_type,$superv_bl_champs,$superv_bl_type;
+  load_language('plugin.lang', MAIL_SUPERV_PATH);
+  //==============================================================================		
+  create_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type) ;
+  ajust_table(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs,$superv_bl_type)  ; 
+  //==============================================================================		
+  create_table(mail_superv_TABLE,$superv_champs,$superv_type) ;
+  ajust_table(mail_superv_TABLE,$superv_champs,$superv_type)  ;
+  //==============================================================================		
     $valeurs= array (	1,
-						0,
-			   time(),
+						          0,
+			           time(),
 	                 2000,
-	 '"604800"' ,
+	          '"604800"' ,
 	                    0,
-	          time(),
+	               time(),
 	                   10,
-	  '"172800"',
-	               '"false"',
-	        time(),
-	  '"172800"',
-	  '"Init"',
+	           '"172800"',
+	            '"false"',
+	               time(),
+	           '"172800"',
+	             '"Init"',
    '"'.l10n('Sv_supervisor').'"',
 	'"'.l10n('hello').'"',
-	 )
- 	;
-//==================================================================================
-	ajout_ligne(MAIL_SUPERV_TABLE,$superv_champs, $valeurs,false ) ;
-	
-
-}
+	 );
+	ajout_ligne(mail_superv_TABLE,$superv_champs, $valeurs,false ) ;
+}
+//=================================================================================
+
 
 //=========================================
@@ -434,5 +151,4 @@
 {
 global $conf ;
-
   $query = '
 SELECT DISTINCT u.'.$conf['user_fields']['id'].' AS id,
@@ -447,21 +163,13 @@
     LEFT JOIN '.USER_GROUP_TABLE.' AS ug
       ON u.'.$conf['user_fields']['id'].' = ug.user_id
-  WHERE ug.group_id='.$group_id.' ';
-
-
- 
+  WHERE ug.group_id='.$group_id.' '; 
  $groups=array();
-  $datas = pwg_query($query);
-  
-  
-  if (!empty($datas))
-  {
+  $datas = pwg_query($query); 
+  
+  if (!empty($datas)) {
     while ($group = mysql_fetch_array($datas,MYSQL_ASSOC))
-    {
-
-	
+    {	
       if (!empty($group['email']))
-      {
-     	array_push($groups, format_email($group['username'], $group['email'] ));
+      {     	array_push($groups, format_email($group['username'], $group['email'] ));
       }
     }
@@ -472,13 +180,12 @@
 //=================================================================================
 
-function create_table($nom_table,$champs,$types)  //MAIL_SUPERV_TABLE
+function create_table($nom_table,$champs,$types)  //mail_superv_TABLE
 {
 	$i=0;
  	$valeurs=array();
-foreach ( $champs as $champ)
-   {
-      	$champ = trim($champ);
-         	array_push($valeurs , " `".$champ."`" . '  ' . $types[ $i] )  ;
-	 	$i +=1;
+  foreach ( $champs as $champ) {
+      $champ = trim($champ);
+      array_push($valeurs , " `".$champ."`" . '  ' . $types[ $i] )  ;
+      $i +=1;
     }
 
@@ -495,5 +202,5 @@
 	 
 }
-function ajust_table($nom_table,$champs,$types)  //MAIL_SUPERV_TABLE
+function ajust_table($nom_table,$champs,$types)  //mail_superv_TABLE
 {
 global $infos_message ;
@@ -514,5 +221,5 @@
 	if ( count($valeurs) == 0) return ;
 	
-  $infos_message .=  "AJUSTE TABLE : ". $nom_table . "<br />" . "NB (col) : ". count($colonnes) . memo_var($valeurs) . "<br />" ;
+  $infos_message .=  "AJUSTE TABLE : ". $nom_table . "<br />" . "NB (col) : ". count($colonnes) . mail_supervisor::Memo_Var($valeurs) . "<br />" ;
 	
      $valeurs=implode(", ",$valeurs) ;
@@ -556,31 +263,24 @@
 global $mails_donnees,$infos_message,$erreur_message,$page;
 
-if (!is_numeric($mails_donnees['nb_mails_periode']))
-{
- $periode = Str_To_Time( $mails_donnees['nb_mails_periode'],0);
- $mails_donnees['nb_mails_periode']= ($periode > 0) ? $periode : '604800' ;
+if (!is_numeric($mails_donnees['nb_mails_periode'])){
+  $periode = Str_To_Time( $mails_donnees['nb_mails_periode'],0);
+  $mails_donnees['nb_mails_periode']= ($periode > 0) ? $periode : '604800' ;
  }
-
-if (!is_numeric($mails_donnees['nb_spams_periode']))
-{
- 
- $periode=Str_To_Time( $mails_donnees['nb_spams_periode'],0);
- $mails_donnees['nb_spams_periode']= ($periode > 0) ? $periode : '172800' ; ;
+if (!is_numeric($mails_donnees['nb_spams_periode'])){
+  $periode=Str_To_Time( $mails_donnees['nb_spams_periode'],0);
+  $mails_donnees['nb_spams_periode']= ($periode > 0) ? $periode : '172800' ; ;
  }
-if (!is_numeric($mails_donnees['quarantaine_periode']))
-{
- $periode=Str_To_Time( $mails_donnees['quarantaine_periode'],0);
- $mails_donnees['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
+if (!is_numeric($mails_donnees['quarantaine_periode'])){
+  $periode=Str_To_Time( $mails_donnees['quarantaine_periode'],0);
+  $mails_donnees['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
  }
-
-  	if  ($infos_message != "")  {
-		   array_push($page['infos'],  $infos_message);
-		   $infos_message="";
-		 }
-		 
-		if  ($erreur_message != "")  {
-		  array_push($page['errors'], $erreur_message);
-		  $erreur_message ="";
-		 }	
+    if  ($infos_message != "")  {
+        array_push($page['infos'],  $infos_message);
+        $infos_message="";
+    }		 
+    if  ($erreur_message != "")  {
+        array_push($page['errors'], $erreur_message);
+        $erreur_message ="";
+    }	
 		 
 }
@@ -730,9 +430,10 @@
 	$sep=" ";
 	$chaine = trim($chaine);
+    if ($chaine=="") return ;
 	$existe = (strpos($sep.$sep,$chaine )===false) ;
 	 while  ($existe ){
     	 $str_temp = str_replace($sep.$sep, $sep, $chaine );  
     		if($str_temp == $chaine ) return $chaine ;
-//			$erreur_message .= memo_var($str_temp) ;
+//			$erreur_message .= mail_supervisor::Memo_Var($str_temp) ;
     		$chaine  = $str_temp;
 			$existe =  (strpos($sep.$sep,$chaine )===false) ;
@@ -740,93 +441,76 @@
 	return $chaine;
 }
-
-
-
-function kill_list()
-{
- //==================== TEST black_liste ============================================	
- global $pays,$region,$ville,$ip ;
- global $erreur_message,$infos_message,$conf;	
- global $conf, $user, $page;
- global $mails_options ;
- global $superv_bl_champs,$superv_bl_type ; 
- global $nb ;
- 
-if (count($mails_options) < 7 ) return false ;
-   
-     $champs=implode(',',$superv_bl_champs);
-     $query = "
-    		SELECT ".$champs.",COUNT(`ip`) as total 
-    		FROM `".MAIL_BLACK_LISTE_TABLE."` 
-		    WHERE '".$ip."' LIKE `ip` 
-			GROUP by `ip` 
-  		;";	
-		 $result = @pwg_query($query);
-	if (!$result) {
-					verif_base();
-	 				$result = @pwg_query($query);
-				}
-	$datas = mysql_fetch_array($result,MYSQL_ASSOC);
-	$nb = $datas['total']; 
-//=======================================================================	
-
-if ($mails_options[set_auto] == 'nonoui') // ne plus tester automatiquement .
-{
- // $ip="94.102.63.13"; ' Spammeurs 
- // $ip="94.102.63.15";
- // $mail=matusowraber93813@gmail.com ;
- // $username=fretgpsolodens ;
-global $user_name,$mail_adresse;
-
-  if (test_spam($ip,$user['username'] ,$user['email']))
-  {
-
-  if ($nb==0) {
-  	$valeurs=array( 'NULL',
-		            "'".$ip."'",
-					"'".$pays."'",
-					"'".$region."'",	
-					"'".$ville."'",
-					"'".$user['email']."'",
-					"'".$user['username']."'",	
-					$nb+1
-	);
- 	  ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;	
-	}else{	
-	
-	$nb +=1;
-	
-		 $query ="
-			UPDATE " . MAIL_BLACK_LISTE_TABLE . " 
-			SET ";
-		    if (isset($_POST['pays']))	
-		 $query .= "	
-			`pays` = '". $pays ."',
-			`region` = '" . $region ."',
-			`ville` = '" . $ville . "',
-			
-			";
-			
-		 $query .= "
-		    `adresse` = '".$user['email']."',		
-			`fai` = '".$user['username']."',		
-			`nb` = " . $nb . "
-		    WHERE '".$ip."' like `ip` 
-        	";
-		
-				pwg_query($query );	
-	}
- 	  $erreur_message .=  $mails_options[ip] ." ".$user['username']." ".$user['email'] . ' -----> ' . l10n('Sv_black_list') ;
-	// die($nb." ".$ip." ".$user['username']." ".$user['email']);  
-	return true ;	
-
-    }
-  
-}
+//==================== TEST black_liste ============================================	
+function kill_list() {
+  global $pays,$region,$ville,$ip ;
+  global $erreur_message,$infos_message,$conf;	
+  global $conf, $user, $page;
+  global $mails_options ;
+  global $superv_bl_champs,$superv_bl_type ; 
+  global $nb ; 
+  if (!isset($ip)) {
+    if (getenv("HTTP_CLIENT_IP"))   {
+      $ip=getenv("HTTP_CLIENT_IP");
+    }else{
+      $ip=getenv("REMOTE_ADDR");
+    }
+  }
+  $champs=implode(',',$superv_bl_champs);
+   $query = "SELECT ".$champs.",COUNT(`ip`) as total 
+  FROM `".MAIL_BLACK_LISTE_TABLE."` 
+		WHERE '".$ip."' LIKE `ip` 
+		GROUP by `ip` 
+  ;";	
+	$result = @pwg_query($query);
+	 if (!$result) {
+			verif_base();
+	 		$result = @pwg_query($query);
+			}
+	  $datas = mysql_fetch_array($result,MYSQL_ASSOC);
+  	$nb = $datas['total']|0; 
+    //=======================================================================	
+    if ($mails_options['set_auto'] == 'on') {  
+      global $user_name,$mail_adresse;
+
+       if (isset($nb) && $nb>0) {
+       //if (test_spam($ip,$user['username'] ,$user['email']))  // ne plus tester automatiquement . 
+            if ($nb==0) {
+  	          $valeurs=array( 'NULL',
+		           "'".$ip."'",
+					        "'".$pays."'",
+					        "'".$region."'",	
+					        "'".$ville."'",
+					        "'".$user['email']."'",
+					        "'".$user['username']."'",	
+					        $nb+1
+	            );
+ 	          ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;	
+	        }else{	
+            mail_supervisor::Get_geo();    
+            $nb +=1;	
+		         $query ="UPDATE " . MAIL_BLACK_LISTE_TABLE . " SET ";
+		         if (isset($_POST['pays']))	
+		         $query .= "`pays` = '". $pays ."',
+			        `region` = '" . $region ."',
+			        `ville` = '" . $ville . "',			
+			        ";			
+		         $query .= "`adresse` = '".$user['email']."',		
+			        `fai` = '".$user['username']."',		
+			        `nb` = " . $nb . "
+		         WHERE '".$ip."' like `ip` ";		
+				       pwg_query($query );	
+	        }
+ 	     $erreur_message .= $pays . $ip ." <br />User Name :".$user['username']."<br />User Mail :".$user['email'] . ' -----> ' . l10n('Sv_black_liste') ;
+       // die($nb." ".$ip." ".$user['username']." ".$user['email']);  
+ 
+       return true ;	
+      }  
+    }
  //==============================================================================
- if ( $mails_options[ip] == $ip ) return ($nb > 0) ;	
-   $mails_options[ip] =   $ip ;  
-   sauve_options();
-  
+
+ if ( $mails_options['ip'] == $ip ) return ($nb > 0) ;	 
+   $ip0= $mails_options['ip'] ;
+   $mails_options['ip'] = $ip ;  
+   mail_supervisor::sauve_options();  
  	if (  $nb > 0 )
 	{
@@ -848,5 +532,5 @@
 	    $row  = mysql_fetch_row(pwg_query($query));
 	    $nb =  ($row[7]);
-      $erreur_message .= $ip . ' | ' . $pays . ' | ' . $region . ' | ' . $ville . ' ' . $nb . ' ==> ';	
+        $erreur_message .= $ip0 . ' | ' .$ip . ' | ' . $pays . ' | ' . $region . ' | ' . $ville . ' ' . $nb . ' ==> ';	
   
   	 if ($nb == 0)
@@ -858,5 +542,5 @@
 					"'".$ville."'",
 					"'".$user['email']."'",		
-			       "'".$user['username']."'",		
+			  "'".$user['username']."'",		
 					1
 	      );
@@ -883,63 +567,50 @@
 				pwg_query($query );	
 				}
-	//================================================================================	
-		
 	}
- 
-
-return ($nb > 0) ;
+ return ($nb > 0) ;
 }
 //=====================================================================================
 function test_spam($ip =0,$user_name ='', $mail_adresse = "")
 {
-	$buffer="";
-	global $page,$infos_message;
-
-// fretgpsolodens
-	$src =  "http://www.stopforumspam.com/api?";
-	$type=array();
-	$result="";
-if (strlen($ip)>3) { 
-//==================  Verifie si l'IP est correct  ================================
-if (clj_is_ip($ip)){     
+ $buffer="";
+ global $page,$infos_message;
+ $src =  "http://www.stopforumspam.com/api?";
+ $type=array();
+ $result="";
+ $ip= sup_double_espace($ip);
+ if (strlen($ip)>3) { 
+   //==================  Verifie si l'IP est correct  ================================
+   if (clj_is_ip($ip)){     
      
-} else {  
-//==================  Verifie si l'adresse mail est correcte  ================================ 
-      if( clj_is_mail($ip) ){  
-	 		  $mail_adresse=$ip ;
+   } else {  
+   //==================  Verifie si l'adresse mail est correcte  ================================ 
+         if( clj_is_mail($ip) ){  
+	 		 $mail_adresse=$ip ;
+	         $ip="";
+	    }
+	    else
+	    {
+   //==================  Login  ================ 
+	      $user_name=$ip;
 	      $ip="";
-	 }
-	 else
-	 {
-//==================  Login  ================ 
-	   $user_name=$ip;
-	   $ip="";
-	 }
-}    
-//=============================================================================
-}
-
-$user_name=str_replace(" ","%20",trim($user_name));
-if ($user_name==l10n('Sv_guest')) $user_name="";
-$user_name="";  // ne plus tester sur le login.
-$mail_adresse =str_replace(" ","%20",trim($mail_adresse));
-
-if ( strlen($user_name) > 3)  	  $type[]="username=$user_name" ;
-if ( strlen($mail_adresse) > 3)   $type[]="email=".$mail_adresse ;
-if ( strlen($ip) > 3)   $type[]="ip=".$ip ; 
-
-	 foreach  ( $type as $fil )
-     {    
-	  $resultat="";
-	   if (  clj_fetchRemote($src.$fil , $resultat,1))
-		  {
-		    $result .= $resultat.'<br />'  ; 
-		  }  else {
-		  
-		  }
-		  
-      }
-
-return !(strpos(  $result ,'yes' ) === false) ;
+	    }
+   }    
+   //=============================================================================
+ }
+
+ $user_name=str_replace(" ","%20",trim($user_name));
+ if ($user_name==l10n('Sv_guest')) $user_name="";
+ $user_name="";  // ne plus tester sur le login.
+ $mail_adresse =str_replace(" ","%20",trim($mail_adresse));
+ if ( strlen($user_name) > 3)  	  $type[]="username=$user_name" ;
+ if ( strlen($mail_adresse) > 3)   $type[]="email=".$mail_adresse ;
+ if ( strlen($ip) > 3)   $type[]="ip=".$ip ; 
+ foreach  ( $type as $fil ) {    
+  $resultat="";
+  if (  clj_fetchRemote($src.$fil , $resultat,1))
+   $result .= $resultat.'<br />'  ; 		  
+ }
+
+ return !(strpos(  $result ,'yes' ) === false) ;
   
 }
@@ -1044,49 +715,4 @@
 }
 
- function Get_Version_plugins($dir)
-  {
-        $path = $dir;
-          $plg_data = implode( '', file($path.'main.inc.php') );
-          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
-          {
-            $plugin['name'] = trim( $val[1] );
-          }
-          if (preg_match("|Version: (.*)|", $plg_data, $val))
-          {
-            $plugin['version'] = trim($val[1]);
-          }
-          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
-          {
-            $plugin['uri'] = trim($val[1]);
-          }
-          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
-          {
-            $plugin['description'] = trim($desc);
-          }
-          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
-          {
-            $plugin['description'] = trim($val[1]);
-          }
-          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
-          {
-            $plugin['author'] = trim($val[1]);
-          }
-          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
-          {
-            $plugin['author uri'] = trim($val[1]);
-          }
-          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
-          {
-            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
-            if (is_numeric($extension)) $plugin['extension'] = $extension;
-          }
-          // IMPORTANT SECURITY !
-          $plugin = array_map('htmlspecialchars', $plugin);
-
-         return $plugin ;
-
-  }
-
-
 
 ?>
